Name:		zathura
Version:	0.3.6
Release:	%mkrel 1
Summary:	A lightweight document viewer
Group:		Publishing
License:	zlib
URL:		http://pwmt.org/projects/zathura/
Source0:	http://pwmt.org/projects/%{name}/download/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(girara-gtk3)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	file-devel
BuildRequires:	python-docutils

%description
Zathura is a highly customizable and functional document viewer.
It provides a minimalistic and space saving interface as well as
an easy usage that mainly focuses on keyboard interaction.

Zathura requires plugins to support document formats. For instance:
  * zathura-pdf-poppler to open PDF files,
  * zathura-ps to open PostScript files,
  * zathura-djvu to open DjVu files.

All of these are available as separate packages.

A zathura-plugins meta-package is available if you want
to install all available plugins.

%package devel
Summary:	Development files for the zathura PDF viewer
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files for the zathura PDF viewer.

%package plugins
Summary:	Meta-package for all Zathura plugins
Group:		Publishing
Requires:	zathura-djvu
Requires:	zathura-pdf-poppler
Requires:	zathura-ps

%description plugins
This package provides all Zathura plugins.

%prep
%setup -q
%autopatch -p1

# don't rebuid at install time
sed -i 's/^install:\s*all/install:/' Makefile

# ensure manpages are built from *.rst sources
rm -f zathura.1 zathurarc.5

%build
%setup_compile_flags
%make \
	DFLAGS= \
	SFLAGS= \
	LIBDIR=%{_libdir} \
	WITH_SQLITE=1 \
	WITH_SYNCTEX=0 \
	VERBOSE=1

%install
%make_install \
	LIBDIR=%{_libdir} \
	VERBOSE=1

#desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications/ \
		%{name}.desktop

#dir for plugins
mkdir -p %{buildroot}%{_libdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README
%dir %{_libdir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man*/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/dbus-1/interfaces/org.pwmt.zathura.xml

%files devel
%{_includedir}/zathura
%{_libdir}/pkgconfig/zathura.pc

%files plugins


%changelog
* Sat May 14 2016 wally <wally> 0.3.6-1.mga6
+ Revision: 1015438
- new version 0.3.6
- drop upstreamed 'build without synctex' patch

* Fri Jan 01 2016 wally <wally> 0.3.4-1.mga6
+ Revision: 917689
- new version 0.3.4
- add patch from Jan Palus to build without libsynctex

* Mon Jun 22 2015 wally <wally> 0.3.3-1.mga6
+ Revision: 839760
- new version 0.3.3

* Wed Oct 15 2014 umeabot <umeabot> 0.2.9-3.mga5
+ Revision: 745381
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.9-2.mga5
+ Revision: 690855
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 wally <wally> 0.2.9-1.mga5
+ Revision: 640118
- new version 0.2.9

* Tue Feb 18 2014 wally <wally> 0.2.7-1.mga5
+ Revision: 594461
- new version 0.2.7

* Tue Feb 04 2014 wally <wally> 0.2.6-1.mga5
+ Revision: 581076
- new version 0.2.6
- switch to gtk3

* Sat Oct 19 2013 umeabot <umeabot> 0.2.4-2.mga4
+ Revision: 532084
- Mageia 4 Mass Rebuild

* Thu Aug 15 2013 wally <wally> 0.2.4-1.mga4
+ Revision: 466758
- new version 0.2.4
- drop upstream applied patch

* Tue Jun 25 2013 wally <wally> 0.2.3-2.mga4
+ Revision: 446566
- enable meta pkg for all plugins
- edit description

* Mon Jun 24 2013 wally <wally> 0.2.3-1.mga4
+ Revision: 446317
- clean .spec
- imported package zathura

